Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class LocalObject

    java.lang.Object
      |
      +--org.omg.CORBA.LocalObject

All Implemented Interfaces:
  Object

Direct Known Subclasses:
  AbstractClientRequest, AbstractServerRequest, CDRCodecFactory, CodecFactoryManagerImpl, ComponentSet, CurrentImpl, DynAnyFactoryImpl, org.openorb.CORBA.dynany.DynAnyImpl, ForwardInitializer, LoggableLocalObject, OpenORBPolicyFactoryImpl, ORBPolicyManagerImpl, PolicyCurrentImpl, ServerManagerImpl.AdapterManagerImpl, SimpleIORInterceptor, TypeCodeFactoryImpl

public class LocalObject
extends java.lang.Object
implements Object

Constructor Summary
`LocalObject()`

Method Summary
`Request` | `_create_request(Context ctx, java.lang.String operation, NVList arg_list, NamedValue result)`
`Request` | `_create_request(Context ctx, java.lang.String operation, NVList arg_list, NamedValue result, ExceptionList exceptions, ContextList contexts)`
`Object` | `_duplicate()`
`DomainManager[]` | `_get_domain_managers()`
`Object` | `_get_interface_def()`
`InterfaceDef` | `_get_interface()` Deprecated. Deprecated by CORBA 2.3.
`Policy` | `_get_policy(int policy_type)`
`int` | `_hash(int maximum)`
`InputStream` | `_invoke(OutputStream output)`
`boolean` | `_is_a(java.lang.String Identifier)`
`boolean` | `_is_equivalent(Object that)`
`boolean` | `_is_local()`
`boolean` | `_non_existent()`
`ORB` | `_orb()`
`void` | `_release()`
`void` | `_releaseReply(InputStream input)`
`Request` | `_request(java.lang.String operation)`
`OutputStream` | `_request(java.lang.String operation, boolean responseExpected)`
`void` | `_servant_postinvoke(ServantObject servant)`
`ServantObject` | `_servant_preinvoke(java.lang.String operation, java.lang.Class expectedType)`
`Object` | `_set_policy_override(Policy[] policies, SetOverrideType set_add)`
`boolean` | `validate_connection()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalObject

    public LocalObject()

Method Detail

### _is_equivalent

    public boolean _is_equivalent(Object that)

  Specified by:
    `_is_equivalent` in interface `Object`

### _non_existent

    public boolean _non_existent()

  Specified by:
    `_non_existent` in interface `Object`

### _hash

    public int _hash(int maximum)

  Specified by:
    `_hash` in interface `Object`

### _is_a

    public boolean _is_a(java.lang.String Identifier)

  Specified by:
    `_is_a` in interface `Object`

### _duplicate

    public Object _duplicate()

  Specified by:
    `_duplicate` in interface `Object`

### _release

    public void _release()

  Specified by:
    `_release` in interface `Object`

### _request

    public Request _request(java.lang.String operation)

  Specified by:
    `_request` in interface `Object`

### _create_request

    public Request _create_request(Context ctx,
                                   java.lang.String operation,
                                   NVList arg_list,
                                   NamedValue result)

  Specified by:
    `_create_request` in interface `Object`

### _create_request

    public Request _create_request(Context ctx,
                                   java.lang.String operation,
                                   NVList arg_list,
                                   NamedValue result,
                                   ExceptionList exceptions,
                                   ContextList contexts)

  Specified by:
    `_create_request` in interface `Object`

### _get_interface

    public InterfaceDef _get_interface()

  Deprecated. Deprecated by CORBA 2.3.

  Specified by:
    `_get_interface` in interface `Object`

### _get_interface_def

    public Object _get_interface_def()

  Specified by:
    `_get_interface_def` in interface `Object`

### _orb

    public ORB _orb()

### _get_policy

    public Policy _get_policy(int policy_type)

  Specified by:
    `_get_policy` in interface `Object`

### _get_domain_managers

    public DomainManager[] _get_domain_managers()

  Specified by:
    `_get_domain_managers` in interface `Object`

### _set_policy_override

    public Object _set_policy_override(Policy[] policies,
                                       SetOverrideType set_add)

  Specified by:
    `_set_policy_override` in interface `Object`

### _is_local

    public boolean _is_local()

### _servant_preinvoke

    public ServantObject _servant_preinvoke(java.lang.String operation,
                                            java.lang.Class expectedType)

### _servant_postinvoke

    public void _servant_postinvoke(ServantObject servant)

### _request

    public OutputStream _request(java.lang.String operation,
                                 boolean responseExpected)

### _invoke

    public InputStream _invoke(OutputStream output)
                        throws ApplicationException,
                               RemarshalException

### _releaseReply

    public void _releaseReply(InputStream input)

### validate_connection

    public boolean validate_connection()

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD